<?php


return  
    [
        'model' => [
            'model' => \Realestate\Property\Models\Property::class,
            'table' => 'realestate_property_properties',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['type',  'building_type',  'builder_id',  'category',  'number',  'property_code',  'title',  'area',  'community',  'central_vac',  'unit_exposure',  'water_supply',  'tax_year',  'tax_legal_description',  'central_ac_included',  'utilities',  'fronting_on',  'lot_depth',  'frontage',  'lot_size',  'acre',  'sewer',  'zoning',  'home_style',  'price',  'bedrooms',  'bathrooms',  'bed_plus',  'rooms',  'kitchen',  'fire_place',  'family_room',  'furnished',  'basement',  'heating',  'fuel_heating',  'exterior',  'private_entrance',  'drive_way',  'garage_type',  'garage_size',  'parking_space',  'parking_fee_included',  'features',  'floor_plans',  'website',  'property_size',  'available_from',  'featured',  'description',  'user_id',  'user_type',  'images',  'floor_no',  'country_id',  'state_id',  'city_id',  'location',  'booking_status',  'views',  'unit_area',  'balcony_area',  'source',  'board',  'status'],
            'translatables' => [],
            'upload_folder' => 'property/property',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'property::property.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "building_type", 
                "type" => "text", 
                "label" => 'property::property.label.building_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "builder_id", 
                "type" => "text", 
                "label" => 'property::property.label.builder_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "category", 
                "type" => "text", 
                "label" => 'property::property.label.category', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "number", 
                "type" => "text", 
                "label" => 'property::property.label.number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_code", 
                "type" => "text", 
                "label" => 'property::property.label.property_code', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "title", 
                "type" => "text", 
                "label" => 'property::property.label.title', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "area", 
                "type" => "text", 
                "label" => 'property::property.label.area', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "community", 
                "type" => "text", 
                "label" => 'property::property.label.community', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "central_vac", 
                "type" => "text", 
                "label" => 'property::property.label.central_vac', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "unit_exposure", 
                "type" => "text", 
                "label" => 'property::property.label.unit_exposure', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "water_supply", 
                "type" => "text", 
                "label" => 'property::property.label.water_supply', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "tax_year", 
                "type" => "text", 
                "label" => 'property::property.label.tax_year', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "tax_legal_description", 
                "type" => "text", 
                "label" => 'property::property.label.tax_legal_description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "central_ac_included", 
                "type" => "text", 
                "label" => 'property::property.label.central_ac_included', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "utilities", 
                "type" => "text", 
                "label" => 'property::property.label.utilities', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "fronting_on", 
                "type" => "text", 
                "label" => 'property::property.label.fronting_on', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "lot_depth", 
                "type" => "text", 
                "label" => 'property::property.label.lot_depth', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "frontage", 
                "type" => "text", 
                "label" => 'property::property.label.frontage', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "lot_size", 
                "type" => "text", 
                "label" => 'property::property.label.lot_size', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "acre", 
                "type" => "text", 
                "label" => 'property::property.label.acre', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sewer", 
                "type" => "text", 
                "label" => 'property::property.label.sewer', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "zoning", 
                "type" => "text", 
                "label" => 'property::property.label.zoning', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "home_style", 
                "type" => "text", 
                "label" => 'property::property.label.home_style', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "price", 
                "type" => "text", 
                "label" => 'property::property.label.price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "bedrooms", 
                "type" => "text", 
                "label" => 'property::property.label.bedrooms', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "bathrooms", 
                "type" => "text", 
                "label" => 'property::property.label.bathrooms', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "bed_plus", 
                "type" => "text", 
                "label" => 'property::property.label.bed_plus', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rooms", 
                "type" => "text", 
                "label" => 'property::property.label.rooms', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "kitchen", 
                "type" => "text", 
                "label" => 'property::property.label.kitchen', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "fire_place", 
                "type" => "text", 
                "label" => 'property::property.label.fire_place', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "family_room", 
                "type" => "text", 
                "label" => 'property::property.label.family_room', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "furnished", 
                "type" => "text", 
                "label" => 'property::property.label.furnished', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "basement", 
                "type" => "text", 
                "label" => 'property::property.label.basement', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "heating", 
                "type" => "text", 
                "label" => 'property::property.label.heating', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "fuel_heating", 
                "type" => "text", 
                "label" => 'property::property.label.fuel_heating', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "exterior", 
                "type" => "text", 
                "label" => 'property::property.label.exterior', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "private_entrance", 
                "type" => "text", 
                "label" => 'property::property.label.private_entrance', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "drive_way", 
                "type" => "text", 
                "label" => 'property::property.label.drive_way', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "garage_type", 
                "type" => "text", 
                "label" => 'property::property.label.garage_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "garage_size", 
                "type" => "text", 
                "label" => 'property::property.label.garage_size', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "parking_space", 
                "type" => "text", 
                "label" => 'property::property.label.parking_space', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "parking_fee_included", 
                "type" => "text", 
                "label" => 'property::property.label.parking_fee_included', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "features", 
                "type" => "text", 
                "label" => 'property::property.label.features', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "floor_plans", 
                "type" => "text", 
                "label" => 'property::property.label.floor_plans', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "website", 
                "type" => "text", 
                "label" => 'property::property.label.website', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_size", 
                "type" => "text", 
                "label" => 'property::property.label.property_size', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "available_from", 
                "type" => "text", 
                "label" => 'property::property.label.available_from', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "featured", 
                "type" => "text", 
                "label" => 'property::property.label.featured', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'property::property.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "images", 
                "type" => "text", 
                "label" => 'property::property.label.images', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "floor_no", 
                "type" => "text", 
                "label" => 'property::property.label.floor_no', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "country_id", 
                "type" => "text", 
                "label" => 'property::property.label.country_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "state_id", 
                "type" => "text", 
                "label" => 'property::property.label.state_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "city_id", 
                "type" => "text", 
                "label" => 'property::property.label.city_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "location", 
                "type" => "text", 
                "label" => 'property::property.label.location', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "booking_status", 
                "type" => "text", 
                "label" => 'property::property.label.booking_status', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "views", 
                "type" => "text", 
                "label" => 'property::property.label.views', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "unit_area", 
                "type" => "text", 
                "label" => 'property::property.label.unit_area', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "balcony_area", 
                "type" => "text", 
                "label" => 'property::property.label.balcony_area', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "source", 
                "type" => "text", 
                "label" => 'property::property.label.source', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "board", 
                "type" => "text", 
                "label" => 'property::property.label.board', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "marking", 
                "type" => "text", 
                "label" => 'property::property.label.marking', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.type',
                "placeholder" => 'property::property.placeholder.type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'building_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.building_type',
                "placeholder" => 'property::property.placeholder.building_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'builder_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.builder_id',
                "placeholder" => 'property::property.placeholder.builder_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'category',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.category',
                "placeholder" => 'property::property.placeholder.category',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'number',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.number',
                "placeholder" => 'property::property.placeholder.number',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_code',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.property_code',
                "placeholder" => 'property::property.placeholder.property_code',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'title',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.title',
                "placeholder" => 'property::property.placeholder.title',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'area',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.area',
                "placeholder" => 'property::property.placeholder.area',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'community',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.community',
                "placeholder" => 'property::property.placeholder.community',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'central_vac',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'property::property.label.central_vac',
                "placeholder" => 'property::property.placeholder.central_vac',
                "rules" => '',
                "options" => function(){
                    return trans('property::property.options.central_vac');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'unit_exposure',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.unit_exposure',
                "placeholder" => 'property::property.placeholder.unit_exposure',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'water_supply',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.water_supply',
                "placeholder" => 'property::property.placeholder.water_supply',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'tax_year',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.tax_year',
                "placeholder" => 'property::property.placeholder.tax_year',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'tax_legal_description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.tax_legal_description',
                "placeholder" => 'property::property.placeholder.tax_legal_description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'central_ac_included',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'property::property.label.central_ac_included',
                "placeholder" => 'property::property.placeholder.central_ac_included',
                "rules" => '',
                "options" => function(){
                    return trans('property::property.options.central_ac_included');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'utilities',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.utilities',
                "placeholder" => 'property::property.placeholder.utilities',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'fronting_on',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.fronting_on',
                "placeholder" => 'property::property.placeholder.fronting_on',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'lot_depth',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.lot_depth',
                "placeholder" => 'property::property.placeholder.lot_depth',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'frontage',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.frontage',
                "placeholder" => 'property::property.placeholder.frontage',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'lot_size',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.lot_size',
                "placeholder" => 'property::property.placeholder.lot_size',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'acre',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.acre',
                "placeholder" => 'property::property.placeholder.acre',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sewer',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.sewer',
                "placeholder" => 'property::property.placeholder.sewer',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'zoning',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.zoning',
                "placeholder" => 'property::property.placeholder.zoning',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'home_style',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.home_style',
                "placeholder" => 'property::property.placeholder.home_style',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'price',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'property::property.label.price',
                "placeholder" => 'property::property.placeholder.price',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'bedrooms',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.bedrooms',
                "placeholder" => 'property::property.placeholder.bedrooms',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'bathrooms',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.bathrooms',
                "placeholder" => 'property::property.placeholder.bathrooms',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'bed_plus',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.bed_plus',
                "placeholder" => 'property::property.placeholder.bed_plus',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rooms',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.rooms',
                "placeholder" => 'property::property.placeholder.rooms',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'kitchen',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.kitchen',
                "placeholder" => 'property::property.placeholder.kitchen',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'fire_place',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'property::property.label.fire_place',
                "placeholder" => 'property::property.placeholder.fire_place',
                "rules" => '',
                "options" => function(){
                    return trans('property::property.options.fire_place');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'family_room',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'property::property.label.family_room',
                "placeholder" => 'property::property.placeholder.family_room',
                "rules" => '',
                "options" => function(){
                    return trans('property::property.options.family_room');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'furnished',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'property::property.label.furnished',
                "placeholder" => 'property::property.placeholder.furnished',
                "rules" => '',
                "options" => function(){
                    return trans('property::property.options.furnished');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'basement',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.basement',
                "placeholder" => 'property::property.placeholder.basement',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'heating',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.heating',
                "placeholder" => 'property::property.placeholder.heating',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'fuel_heating',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.fuel_heating',
                "placeholder" => 'property::property.placeholder.fuel_heating',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'exterior',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.exterior',
                "placeholder" => 'property::property.placeholder.exterior',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'private_entrance',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'property::property.label.private_entrance',
                "placeholder" => 'property::property.placeholder.private_entrance',
                "rules" => '',
                "options" => function(){
                    return trans('property::property.options.private_entrance');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'drive_way',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.drive_way',
                "placeholder" => 'property::property.placeholder.drive_way',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'garage_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.garage_type',
                "placeholder" => 'property::property.placeholder.garage_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'garage_size',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.garage_size',
                "placeholder" => 'property::property.placeholder.garage_size',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'parking_space',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.parking_space',
                "placeholder" => 'property::property.placeholder.parking_space',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'parking_fee_included',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'property::property.label.parking_fee_included',
                "placeholder" => 'property::property.placeholder.parking_fee_included',
                "rules" => '',
                "options" => function(){
                    return trans('property::property.options.parking_fee_included');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'features',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.features',
                "placeholder" => 'property::property.placeholder.features',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'floor_plans',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.floor_plans',
                "placeholder" => 'property::property.placeholder.floor_plans',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'website',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.website',
                "placeholder" => 'property::property.placeholder.website',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_size',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.property_size',
                "placeholder" => 'property::property.placeholder.property_size',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'available_from',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.available_from',
                "placeholder" => 'property::property.placeholder.available_from',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'featured',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'property::property.label.featured',
                "placeholder" => 'property::property.placeholder.featured',
                "rules" => '',
                "options" => function(){
                    return trans('property::property.options.featured');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.description',
                "placeholder" => 'property::property.placeholder.description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'images',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.images',
                "placeholder" => 'property::property.placeholder.images',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'floor_no',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.floor_no',
                "placeholder" => 'property::property.placeholder.floor_no',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'country_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.country_id',
                "placeholder" => 'property::property.placeholder.country_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'state_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.state_id',
                "placeholder" => 'property::property.placeholder.state_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'city_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.city_id',
                "placeholder" => 'property::property.placeholder.city_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'location',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.location',
                "placeholder" => 'property::property.placeholder.location',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'booking_status',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'property::property.label.booking_status',
                "placeholder" => 'property::property.placeholder.booking_status',
                "rules" => '',
                "options" => function(){
                    return trans('property::property.options.booking_status');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'views',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.views',
                "placeholder" => 'property::property.placeholder.views',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'unit_area',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.unit_area',
                "placeholder" => 'property::property.placeholder.unit_area',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'balcony_area',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.balcony_area',
                "placeholder" => 'property::property.placeholder.balcony_area',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'source',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.source',
                "placeholder" => 'property::property.placeholder.source',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'board',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.board',
                "placeholder" => 'property::property.placeholder.board',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'property/property/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'property/property/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'property/property',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'property/property',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'property/property',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'property/property',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'property::property.label.created_at',
            'name' => 'property::property.label.name',
            'status' => 'property::property.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "property::property.groups.main",
                'group' => "main.main",
                'title' => "property::property.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "property::property.groups.details",
                'group' => "main.details",
                'title' => "property::property.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "property::property.groups.images",
                'group' => "main.images",
                'title' => "property::property.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "property::property.groups.settings",
                'group' => "main.settings",
                'title' => "property::property.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Realestate',
            'package' => 'Property',
            'module' => 'Property',
        ],

        
        
    ];
