<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateRealestatePropertyPropertiesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: realestate_property_properties
         */
        Schema::create('realestate_property_properties', function ($table) {
            $table->increments('id');
            $table->string('type', 10)->nullable();
            $table->string('building_type', 10)->nullable();
            $table->integer('builder_id')->nullable();
            $table->string('category', 8)->nullable();
            $table->string('number', 8)->nullable();
            $table->string('property_code', 10)->nullable();
            $table->string('title', 55)->nullable();
            $table->string('area', 8)->nullable();
            $table->string('community', 20)->nullable();
            $table->enum('central_vac', ['Yes', 'No'])->nullable();
            $table->string('unit_exposure', 8)->nullable();
            $table->string('water_supply', 20)->nullable();
            $table->string('tax_year', 4)->nullable();
            $table->text('tax_legal_description')->nullable();
            $table->enum('central_ac_included', ['Yes', 'No'])->nullable();
            $table->text('utilities')->nullable();
            $table->string('fronting_on', 8)->nullable();
            $table->string('lot_depth', 8)->nullable();
            $table->string('frontage', 8)->nullable();
            $table->string('lot_size', 8)->nullable();
            $table->string('acre', 8)->nullable();
            $table->string('sewer', 8)->nullable();
            $table->string('zoning', 8)->nullable();
            $table->string('home_style', 10)->nullable();
            $table->double('price', 8,2)->nullable();
            $table->integer('bedrooms')->nullable();
            $table->integer('bathrooms')->nullable();
            $table->integer('bed_plus')->nullable();
            $table->integer('rooms')->nullable();
            $table->integer('kitchen')->nullable();
            $table->enum('fire_place', ['Yes', 'No'])->nullable();
            $table->enum('family_room', ['Yes', 'No'])->nullable();
            $table->enum('furnished', ['Yes', 'No'])->nullable();
            $table->string('basement', 10)->nullable();
            $table->string('heating', 10)->nullable();
            $table->string('fuel_heating', 10)->nullable();
            $table->string('exterior', 10)->nullable();
            $table->enum('private_entrance', ['Yes', 'No'])->nullable();
            $table->string('drive_way', 8)->nullable();
            $table->string('garage_type', 8)->nullable();
            $table->integer('garage_size')->nullable();
            $table->integer('parking_space')->nullable();
            $table->enum('parking_fee_included', ['Yes', 'No'])->nullable();
            $table->text('features')->nullable();
            $table->text('floor_plans')->nullable();
            $table->text('website')->nullable();
            $table->text('property_size')->nullable();
            $table->string('available_from', 20)->nullable();
            $table->enum('featured', ['Yes', 'No'])->nullable();
            $table->text('description')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 8)->nullable();
            $table->text('images')->nullable();
            $table->integer('floor_no')->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('state_id')->nullable();
            $table->integer('city_id')->nullable();
            $table->string('location', 30)->nullable();
            $table->enum('booking_status', ['Yes', 'No'])->nullable();
            $table->text('views')->nullable();
            $table->string('unit_area', 10)->nullable();
            $table->string('balcony_area', 10)->nullable();
            $table->string('source', 60)->nullable();
            $table->string('board', 30)->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->string('slug', 60)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('realestate_property_properties');
    }
}
