<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for property in property package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  property module in property package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Property',
    'names' => 'Properties',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Properties',
        'sub' => 'Properties'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'central_vac' => 
            [
                                
                [
                    'key'    => 'Y',
                    'value'  => 'Y',
                    'text'   => 'Y',
                ],
                                
                [
                    'key'    => 'N',
                    'value'  => 'N',
                    'text'   => 'N',
                ],
                                
            ],

        'central_ac_included' => 
            [
                                
                [
                    'key'    => 'Y',
                    'value'  => 'Y',
                    'text'   => 'Y',
                ],
                                
                [
                    'key'    => 'N',
                    'value'  => 'N',
                    'text'   => 'N',
                ],
                                
            ],

        'fire_place' => 
            [
                                
                [
                    'key'    => 'Y',
                    'value'  => 'Y',
                    'text'   => 'Y',
                ],
                                
                [
                    'key'    => 'N',
                    'value'  => 'N',
                    'text'   => 'N',
                ],
                                
            ],

        'family_room' => 
            [
                                
                [
                    'key'    => 'Y',
                    'value'  => 'Y',
                    'text'   => 'Y',
                ],
                                
                [
                    'key'    => 'N',
                    'value'  => 'N',
                    'text'   => 'N',
                ],
                                
            ],

        'furnished' => 
            [
                                
                [
                    'key'    => 'Y',
                    'value'  => 'Y',
                    'text'   => 'Y',
                ],
                                
                [
                    'key'    => 'N',
                    'value'  => 'N',
                    'text'   => 'N',
                ],
                                
            ],

        'private_entrance' => 
            [
                                
                [
                    'key'    => 'Y',
                    'value'  => 'Y',
                    'text'   => 'Y',
                ],
                                
                [
                    'key'    => 'N',
                    'value'  => 'N',
                    'text'   => 'N',
                ],
                                
            ],

        'parking_fee_included' => 
            [
                                
                [
                    'key'    => 'Y',
                    'value'  => 'Y',
                    'text'   => 'Y',
                ],
                                
                [
                    'key'    => 'N',
                    'value'  => 'N',
                    'text'   => 'N',
                ],
                                
            ],

        'featured' => 
            [
                                
                [
                    'key'    => 'Yes',
                    'value'  => 'Yes',
                    'text'   => 'Yes',
                ],
                                
                [
                    'key'    => 'No',
                    'value'  => 'No',
                    'text'   => 'No',
                ],
                                
            ],

        'booking_status' => 
            [
                                
                [
                    'key'    => 'Yes',
                    'value'  => 'Yes',
                    'text'   => 'Yes',
                ],
                                
                [
                    'key'    => 'No',
                    'value'  => 'No',
                    'text'   => 'No',
                ],
                                
            ],

        'status' => 
            [
                                
                [
                    'key'    => 'Yes',
                    'value'  => 'Yes',
                    'text'   => 'Yes',
                ],
                                
                [
                    'key'    => 'No',
                    'value'  => 'No',
                    'text'   => 'No',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'type'                       => 'Please enter type',
        'building_type'              => 'Please enter building type',
        'builder_id'                 => 'Please enter builder id',
        'category'                   => 'Please enter category',
        'number'                     => 'Please enter number',
        'property_code'              => 'Please enter property code',
        'title'                      => 'Please enter title',
        'area'                       => 'Please enter area',
        'community'                  => 'Please enter community',
        'central_vac'                => 'Please select central vac',
        'unit_exposure'              => 'Please enter unit exposure',
        'water_supply'               => 'Please enter water supply',
        'tax_year'                   => 'Please enter tax year',
        'tax_legal_description'        => 'Please enter tax legal description',
        'central_ac_included'        => 'Please select central ac included',
        'utilities'                  => 'Please enter utilities',
        'fronting_on'                => 'Please enter fronting on',
        'lot_depth'                  => 'Please enter lot depth',
        'frontage'                   => 'Please enter frontage',
        'lot_size'                   => 'Please enter lot size',
        'acre'                       => 'Please enter acre',
        'sewer'                      => 'Please enter sewer',
        'zoning'                     => 'Please enter zoning',
        'home_style'                 => 'Please enter home style',
        'price'                      => 'Please enter price',
        'bedrooms'                   => 'Please enter bedrooms',
        'bathrooms'                  => 'Please enter bathrooms',
        'bed_plus'                   => 'Please enter bed plus',
        'rooms'                      => 'Please enter rooms',
        'kitchen'                    => 'Please enter kitchen',
        'fire_place'                 => 'Please select fire place',
        'family_room'                => 'Please select family room',
        'furnished'                  => 'Please select furnished',
        'basement'                   => 'Please enter basement',
        'heating'                    => 'Please enter heating',
        'fuel_heating'               => 'Please enter fuel heating',
        'exterior'                   => 'Please enter exterior',
        'private_entrance'           => 'Please select private entrance',
        'drive_way'                  => 'Please enter drive way',
        'garage_type'                => 'Please enter garage type',
        'garage_size'                => 'Please enter garage size',
        'parking_space'              => 'Please enter parking space',
        'parking_fee_included'        => 'Please select parking fee included',
        'features'                   => 'Please enter features',
        'floor_plans'                => 'Please enter floor plans',
        'website'                    => 'Please enter website',
        'property_size'              => 'Please enter property size',
        'available_from'             => 'Please enter available from',
        'featured'                   => 'Please select featured',
        'description'                => 'Please enter description',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'images'                     => 'Please enter images',
        'floor_no'                   => 'Please enter floor no',
        'country_id'                 => 'Please enter country id',
        'state_id'                   => 'Please enter state id',
        'city_id'                    => 'Please enter city id',
        'location'                   => 'Please enter location',
        'booking_status'             => 'Please select booking status',
        'views'                      => 'Please enter views',
        'unit_area'                  => 'Please enter unit area',
        'balcony_area'               => 'Please enter balcony area',
        'source'                     => 'Please enter source',
        'board'                      => 'Please enter board',
        'status'                     => 'Please select status',
        'slug'                       => 'Please enter slug',
        'marking'                    => 'Please enter marking',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'type'                       => 'Type',
        'building_type'              => 'Building type',
        'builder_id'                 => 'Builder id',
        'category'                   => 'Category',
        'number'                     => 'Number',
        'property_code'              => 'Property code',
        'title'                      => 'Title',
        'area'                       => 'Area',
        'community'                  => 'Community',
        'central_vac'                => 'Central vac',
        'unit_exposure'              => 'Unit exposure',
        'water_supply'               => 'Water supply',
        'tax_year'                   => 'Tax year',
        'tax_legal_description'        => 'Tax legal description',
        'central_ac_included'        => 'Central ac included',
        'utilities'                  => 'Utilities',
        'fronting_on'                => 'Fronting on',
        'lot_depth'                  => 'Lot depth',
        'frontage'                   => 'Frontage',
        'lot_size'                   => 'Lot size',
        'acre'                       => 'Acre',
        'sewer'                      => 'Sewer',
        'zoning'                     => 'Zoning',
        'home_style'                 => 'Home style',
        'price'                      => 'Price',
        'bedrooms'                   => 'Bedrooms',
        'bathrooms'                  => 'Bathrooms',
        'bed_plus'                   => 'Bed plus',
        'rooms'                      => 'Rooms',
        'kitchen'                    => 'Kitchen',
        'fire_place'                 => 'Fire place',
        'family_room'                => 'Family room',
        'furnished'                  => 'Furnished',
        'basement'                   => 'Basement',
        'heating'                    => 'Heating',
        'fuel_heating'               => 'Fuel heating',
        'exterior'                   => 'Exterior',
        'private_entrance'           => 'Private entrance',
        'drive_way'                  => 'Drive way',
        'garage_type'                => 'Garage type',
        'garage_size'                => 'Garage size',
        'parking_space'              => 'Parking space',
        'parking_fee_included'        => 'Parking fee included',
        'features'                   => 'Features',
        'floor_plans'                => 'Floor plans',
        'website'                    => 'Website',
        'property_size'              => 'Property size',
        'available_from'             => 'Available from',
        'featured'                   => 'Featured',
        'description'                => 'Description',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'images'                     => 'Images',
        'floor_no'                   => 'Floor no',
        'country_id'                 => 'Country id',
        'state_id'                   => 'State id',
        'city_id'                    => 'City id',
        'location'                   => 'Location',
        'booking_status'             => 'Booking status',
        'views'                      => 'Views',
        'unit_area'                  => 'Unit area',
        'balcony_area'               => 'Balcony area',
        'source'                     => 'Source',
        'board'                      => 'Board',
        'status'                     => 'Status',
        'slug'                       => 'Slug',
        'marking'                    => 'Marking',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    
    ];
